import cyclopts

import pyrefdev
from pyrefdev.indexer.crawl_docs import crawl_docs
from pyrefdev.indexer.parse_docs import parse_docs
from pyrefdev.config import console


app = cyclopts.App(
    name="pyrefdev-indexer",
    help="The indexer for pyref.dev.",
    version=pyrefdev.__version__,
    console=console,
)
app.command(crawl_docs)
app.command(parse_docs)


if __name__ == "__main__":
    app()
